Bug 1337307 - 90 second hang at reboot, lsof reports many user session processes aren't quitting
Summary: 90 second hang at reboot, lsof reports many user session processes aren't qui...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-18 19:13 UTC by Chris Murphy
Modified: 2017-08-08 14:33 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 14:33:31 UTC


Attachments (Terms of Use)
journal (2.66 MB, text/plain)
2016-05-18 19:14 UTC, Chris Murphy
no flags Details
lsof /home (3.64 KB, text/plain)
2016-05-18 19:15 UTC, Chris Murphy
no flags Details
journal (2.66 MB, text/plain)
2016-05-18 19:21 UTC, Chris Murphy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1341837 None None None Never

Internal Trackers: 1341837

Description Chris Murphy 2016-05-18 19:13:02 UTC
Description of problem:

Restart from user session in GNOME shell takes exactly 90 seconds during which time the whole interface has just hung up, including the mouse arrow. This is a regression from Fedora 23.

If I manually log out and get to a console and check 'lsof /home' a bunch of things are still running that when doing the same thing on Fedora 23 have already quit in short order. These items continue to run indefinitely (I stayed at GDM screen logged out for 10 minutes and these items still had not quit).


Version-Release number of selected component (if applicable):
gnome-shell-3.20.2-1.fc24.x86_64
4.6.0-1.fc25.x86_64
systemd-229-7.fc24.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Boot and login.
2. Use GUI to restart
3.

Actual results:

90 second hang

Expected results:

Should reboot within ~10 seconds.

Additional info:

Comment 1 Chris Murphy 2016-05-18 19:14 UTC
Created attachment 1159046 [details]
journal

journalctl -b-1 -a -o short-monotonic, with systemd.log_level=debug.

Comment 2 Chris Murphy 2016-05-18 19:15 UTC
Created attachment 1159047 [details]
lsof /home

Comment 3 Chris Murphy 2016-05-18 19:21 UTC
Created attachment 1159049 [details]
journal

REDO: journalctl -b-1 -a -o short-monotonic, with systemd.log_level=debug.

Comment 4 Chris Murphy 2016-05-18 19:38:14 UTC
[   49.820444] f23m.localdomain systemd-logind[776]: System is rebooting.

...

[   51.927186] f23m.localdomain systemd[1491]: Got message type=method_return sender=org.freedesktop.DBus destination=:1.46 object=n/a interface=n/a member=n/a cookie=64 reply_cookie=63 error=n/a
[   71.065371] f23m.localdomain realmd[1372]: quitting realmd service after timeout
[   71.065938] f23m.localdomain realmd[1372]: stopping service
[   71.068531] f23m.localdomain systemd[1]: Received SIGCHLD from PID 1372 (realmd).
[   71.068931] f23m.localdomain systemd[1]: Child 1372 (realmd) died (code=exited, status=0/SUCCESS)
[  122.783824] f23m.localdomain systemd[1]: systemd-journald.service: Got notification message from PID 550 (WATCHDOG=1)
[  140.032425] f23m.localdomain systemd[1]: session-1.scope: Stopping timed out. Killing.
[  140.033648] f23m.localdomain systemd[1491]: at-spi-dbus-bus.service: State 'stop-sigterm' timed out. Killing.
[  140.034437] f23m.localdomain systemd[1]: session-1.scope changed stop-sigterm -> stop-sigkill


One 20 second gap, followed by a 1m30s hang and then systemd just kills the hung session I guess. But I'm not seeing what the actual delay is caused by.

Comment 5 Chris Murphy 2016-05-18 22:30:27 UTC
This happens on a clean installation of Fedora 24 from Fedora-Workstation-Live-x86_64-24-20160518.n.0.iso as well as a gnome-software upgraded Fedora 23 system.

Comment 6 Chris Murphy 2016-05-29 22:23:10 UTC
May 29 16:03:58 f24m systemd-logind[820]: New session c1 of user gdm.
May 29 16:03:58 f24m systemd[1]: Started Session c1 of user gdm.

May 29 16:05:02 f24m realmd[1351]: quitting realmd service after timeout
May 29 16:05:02 f24m realmd[1351]: stopping service
May 29 16:06:16 f24m systemd[1]: session-c1.scope: Stopping timed out. Killing.
May 29 16:06:16 f24m polkitd[848]: Unregistered Authentication Agent for unix-session:c1 (system bus name :1.26, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
May 29 16:06:16 f24m systemd[1]: Stopped Session c1 of user gdm.
May 29 16:06:16 f24m systemd[1]: session-c1.scope: Unit entered failed state.
May 29 16:06:16 f24m systemd[1]: Removed slice User Slice of gdm.


So gdm starts a new session c1, I  have no idea what that is or what processes it contains, but whatever is in there is what's not quitting and holding up the reboot.

Comment 7 Chris Murphy 2016-05-29 22:30:04 UTC
# systemctl status session-c1.scope
● session-c1.scope - Session c1 of user gdm
   Loaded: loaded
Transient: yes
  Drop-In: /run/systemd/system/session-c1.scope.d
           └─50-After-systemd-logind\x2eservice.conf, 50-After-systemd-user-sessions\x2eservice.conf, 50-Description.c
   Active: active (running) since Sun 2016-05-29 16:06:48 MDT; 17min ago
    Tasks: 52
   CGroup: /user.slice/user-42.slice/session-c1.scope
           ├─1062 gdm-session-worker [pam/gdm-launch-environment]
           ├─1087 /usr/libexec/gdm-wayland-session gnome-session --autostart /usr/share/gdm/greeter/autostart
           ├─1089 /usr/libexec/gnome-session-binary --autostart /usr/share/gdm/greeter/autostart
           ├─1102 /usr/bin/gnome-shell
           ├─1256 /usr/bin/Xwayland :1024 -rootless -noreset -listen 4 -listen 5 -displayfd 6
           ├─1281 /usr/bin/pulseaudio --start --log-target=syslog
           ├─1299 ibus-daemon --xim --panel disable
           ├─1302 /usr/libexec/ibus-dconf
           ├─1304 /usr/libexec/ibus-x11 --kill-daemon
           ├─1324 /usr/libexec/gnome-settings-daemon
           └─1381 /usr/libexec/ibus-engine-simple


OK so I guess I need to iterate manually killing these things to find out what's not quitting?

What I can say is if I logout, and check lsof /home, if I kill just 
'ibus-daemon --xim --panel disable' then everything else quits and /home is released. Until then, /home is in use and apparently can't be umounted. So my top suspicion right now is ibus-daemon but I'm not sure how to further troubleshoot this.

Comment 8 Fedora End Of Life 2017-07-25 20:48:28 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2017-08-08 14:33:31 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.